/*******************************************************************************
 * Copyright (c) 2000, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.swt.widgets;

import org.eclipse.swt.*;
import org.eclipse.swt.graphics.*;

public class Caret extends Widget {

public Caret (Canvas parent, int style) {
	super (parent, style);
}

public Rectangle getBounds () {
	return null;
}

public Font getFont () {
	return null;
}

public Image getImage () {
	return null;
}

public Point getLocation () {
	return null;
}

public Canvas getParent () {
	return null;
}

public Point getSize () {
	return null;
}

public boolean getVisible () {
	return false;
}

public boolean isVisible () {
	return false;
}

public void setBounds (int x, int y, int width, int height) {
}

public void setBounds (Rectangle rect) {
}

public void setFont (Font font) {
}

public void setImage (Image image) {
}

public void setLocation (int x, int y) {
}

public void setLocation (Point location) {
}

public void setSize (int width, int height) {
}

public void setSize (Point size) {
}

public void setVisible (boolean visible) {
}

}
